<?php
/**
 * Copyright (c) 2010 by http://www.dtimagery.com. All rights reserved.
 */
header("content-type: application/x-javascript");

require_once('includes/config.php');
require_once('includes/tools.php');

$id = intval($_GET['poll_id']);
$placement_id = urldecode($_GET['placement_id']);
$dir_path = isset($_GET['dirpath']) && $_GET['dirpath'] == 'ezpoll' ? '' : 'ezpoll/';
$current_date = date('Y-m-d H:i:s');

list($OUTPUT, $poll, $answers) = ezpLoad($db, $id, $current_date, true);

?>

function ezpAnimateBar(id, howfar)
{
	$("#ezp_result_bar"+id).animate({ width: howfar+'%'}, 1500 );
}

function ezpDisplayForm()
{
	$('#<?php echo $placement_id; ?>').html('<?php echo str_replace("'","\'",$OUTPUT); ?>');
}

function ezpResults()
{
	$.post("<?php echo $dir_path; ?>results.php", { id: <?php echo $id; ?> },
    function(data)
    {
        $('#<?php echo $placement_id; ?>').html(data);
    });
}

function ezpSubmit()
{
	<?php // Only build the max selection check if they can vote more then once. Also don't check if selections are more then answers because theres no point then...
	if($poll && $poll['num_selections'] > 1 && $poll['num_selections'] < count($answers)): ?>
	if($(".ezp_checkbox_vote:checked").length > <?php echo $poll['num_selections']; ?>)
    {
    	alert('<?php echo sprintf(EZP_poll_too_many_selections, $poll['num_selections']); ?>');
        return false;
    }
    <?php endif; ?>
    
    var vote = '';
    if($('.ezp_checkbox_vote').length)
    {
    	$('.ezp_checkbox_vote').each(function(index)
        {
        	if($(this).is(':checked'))
            {
            	vote = vote + ',' + $(this).val();
            }
		});
    } else
    {
    	$('.ezp_radio_vote').each(function(index)
        {
        	if($(this).is(':checked'))
            {
            	vote = $(this).val();
            }
		});
    }
    
    if(vote == '')
    {
    	alert('<?php echo EZP_poll_no_option_selected; ?>');
        return false;
    }
    
    $.post("<?php echo $dir_path; ?>process.php", { id: <?php echo $id; ?>, votes: vote },
    function(code)
    {
    	switch(parseInt(code))
        {
        	case 0:	
            	alert('<?php echo str_replace("'","\'",EZP_poll_not_found); ?>');
            break;
            case 1:
            	<?php if(EZP_vote_success_alert != '') {echo "alert('". str_replace("'","\'",EZP_vote_success_alert)."');";} ?>
                <?php if($poll['show_results']==1): ?>
                $.post("<?php echo $dir_path; ?>results.php", { id: <?php echo $id; ?> },
                function(data)
                {
                	$('#<?php echo $placement_id; ?>').html(data);
                });
                <?php else: ?>
                $('#<?php echo $placement_id; ?>').html('<?php echo str_replace("'","\'",EZP_vote_success_no_results); ?>');
                <?php endif; ?>
            break;
            case 2:
            	alert('<?php echo str_replace("'","\'",EZP_max_votes_today); ?>');
            break;
            case 3:
            	alert('<?php echo str_replace("'","\'",EZP_max_votes_total); ?>');
            break;
        }
    });
}

$(document).ready(function()
{
	<?php if($LOAD_RESULTS_OVERRIDE===true): ?>
    	ezpResults();
    <?php else: ?>
    	$('#<?php echo $placement_id; ?>').html('<?php echo '<div class="ezp_block">'.str_replace("'","\'",$OUTPUT).'</div>'; ?>');
    <?php endif; ?>
});