<?php
/**
 * Copyright (c) 2010 by http://www.dtimagery.com. All rights reserved.
 */

/**
 * VERSION: 1.0
 * Configuration / Settings
 * Please edit these settings to match your needs
 */

// Admin Login
define('EZP_admin_name', 'admin');
define('EZP_admin_pass', 'admin');

// Database Setup
define('EZP_db_host',	'localhost');
define('EZP_db_name',	'ezpoll');
define('EZP_db_uname',	'root');
define('EZP_db_upass',	'');

// Site Settings
define('EZP_site_title', 'اسکریپت نظر سنجی EZ POLL');

/**
 * Custom Public Viewable Messages
 */

// Error message when user has voted max amount of times
define('EZP_max_votes_total', 'شما حداکثر تعداد دفعات مجاز برای ثبت رای را استفاده کرده اید.');
// Error message when user has voted max amount of times for the day
define('EZP_max_votes_today', 'شما حداکثر تعداد رای امروز خود را ثبت کرده اید. میتوانید فردا دوباره اقدام کنید.');
// If the poll id is not found or the poll is not active this message will show
define('EZP_poll_not_found', 'خطا: نظر سنجی وجود ندارد');
 // A javascript alert box will show this message on successful vote. Leave this value empty if you do not want the popup to happen
define('EZP_vote_success_alert', 'سپاسگذاریم! رای شما ثبت شد.');
// This message shows in place of the results when a vote cast is made to a poll that does not have results viewable to the public
define('EZP_vote_success_no_results', 'از رای شما سپاسگذاریم. نتیجه نظر سنجی خصوصی می باشد<br/><a class="ezp_view_poll" href="javascript:void(0);" onclick="ezpDisplayForm();">نمایش نظر سنجی</a>');
// Results are set to not display to the public
define('EZP_result_not_allowed', 'شما مجاز به دیدن نتیجه نظر سنجی نیستید.');
// The poll has ended, it was set to show the poll after ending but the results are set to not display
define('EZP_poll_over_no_results', 'رای دهی برای این نظر سنجی به پایان رسیده است.');
// User tried to cast more then the allowed votes at one time
define('EZP_poll_too_many_selections', 'You cannot vote for more then %s options at once.');
//
define('EZP_poll_no_option_selected', 'لطفا یک مورد را انتخاب کنید.');

/**
 * No need to edit below this line
 * -------------------------------
 */

session_start();

if(file_exists('includes/mysql.class.php'))
{
    require_once('includes/mysql.class.php');
    require_once('includes/tools.php');
} elseif(file_exists('ezpoll/includes/mysql.class.php'))
{
    require_once('ezpoll/includes/mysql.class.php');
    require_once('ezpoll/includes/tools.php');
} else
    die('Error: Unable to load support files');

$db = new ezpmysql(EZP_db_host, EZP_db_name, EZP_db_uname, EZP_db_upass);

$LOAD_RESULTS_OVERRIDE = false;

include('pdate.php');
?>