<?php
/**
 * Copyright (c) 2010 by http://www.dtimagery.com. All rights reserved.
 */

// This process file is used for the non-javascript method

$id = intval($_POST['id']);
$ezp_continue_process = true;
$current_date = date('Y-m-d H:i:s');

$db->go("SELECT * FROM poll WHERE removed = 0 AND id = {$id} AND (start_date IS NULL OR start_date <= '".$current_date."') AND (end_date IS NULL OR end_date > '".$current_date."') LIMIT 1");
$poll = $db->fetchArray();
if($poll)
{
	// Do checks to see if user is allowed to vote
	$ip = isset($_SERVER['REMOTE_ADDR']) ? $db->q($_SERVER['REMOTE_ADDR']) : false;
	if($ip)
	{
		$db->go("SELECT COUNT(*) AS total_votes FROM poll_votes WHERE poll_id = {$id} AND ip = '{$ip}'");
		$result = $db->fetchArray();
		$total_votes = $result['total_votes'];
		if($poll['total_votes_per_person'] > 0 && $total_votes >= $poll['total_votes_per_person'])
		{
			// Max votes per poll per person reached
			echo EZP_max_votes_total;
			$ezp_continue_process = false;
		}
		
		if($ezp_continue_process)
		{
			$db->go("SELECT COUNT(*) AS total_votes_today FROM poll_votes WHERE poll_id = {$id} AND ip = '{$ip}' AND date_added >= '".date('Y-m-d 00:00:00', strtotime($current_date))."'");
			$result = $db->fetchArray();
			$total_votes_today = $result['total_votes_today'];
			if($poll['votes_per_day'] > 0 && $total_votes_today >= $poll['votes_per_day'])
			{
				// Max votes reached for today
				echo EZP_max_votes_today;
				$ezp_continue_process = false;
			}
		}
	}
	
} else
{
	// poll not found
	echo EZP_poll_not_found;
	$ezp_continue_process = false;
}

if($ezp_continue_process)
{
	if(isset($_POST['ezp_answer']) && is_array($_POST['ezp_answer']))
	{
		if($poll['num_selections'] > 1 && count($_POST['ezp_answer']) > $poll['num_selections'])
		{
			// Cannot vote that many options at once
			echo sprintf(EZP_poll_too_many_selections, $poll['num_selections']);
			$ezp_continue_process = false;
		}
		$_POST['ezp_answer'] = implode(',', $_POST['ezp_answer']);
	}
	
	if(!isset($_POST['ezp_answer']) || (isset($_POST['ezp_answer']) && empty($_POST['ezp_answer'])))
	{
		// Did not select an answer
		echo EZP_poll_no_option_selected;
		$ezp_continue_process = false;
	}
	
	if($ezp_continue_process)
	{
		$votes = $db->q($_POST['ezp_answer']);
		if(strstr($votes, ','))
		{
			$x = 0;
			foreach(explode(',', $votes) as $vote)
			{
				if(!empty($vote))
				{
					$answer_id = intval($vote);
					// Update Answers total
					$db->go("UPDATE poll_answers SET num_votes = num_votes + 1 WHERE poll_id = {$id} AND id = {$answer_id} LIMIT 1");
					$x++;
				}
			}
			// Update polls total
			$db->go("UPDATE poll SET total_votes = total_votes + {$x} WHERE id = {$id} LIMIT 1");
		} else
		{
			$answer_id = intval($votes);
			// Update Answers total
			$db->go("UPDATE poll_answers SET num_votes = num_votes + 1 WHERE poll_id = {$id} AND id = {$answer_id} LIMIT 1");
			// Update polls total
			$db->go("UPDATE poll SET total_votes = total_votes + 1 WHERE id = {$id} LIMIT 1");
		}
		
		$votes = $db->q($votes);
		$ip = isset($_SERVER['REMOTE_ADDR']) ? $db->q($_SERVER['REMOTE_ADDR']) : null;
		$date_added = date('Y-m-d H:i:s');
		$db->go("INSERT INTO poll_votes (poll_id,votes,ip,date_added) VALUES ({$id},'{$votes}','{$ip}','{$date_added}')");
		
		echo EZP_vote_success_alert;
	}
}

echo '<p><a id="ezp_go_back" href="'.ezpBuildUrl().'">بازگشت</a></p>';
?>